Package com.microblink.blinkid.entities.recognizers.framegrabber

# Interface FrameCallback

All Superinterfaces:
  `android.os.Parcelable`

All Known Subinterfaces:
  `CurrentImageListener`

public interface FrameCallback extends android.os.Parcelable
Callback that will be invoked from `FrameGrabberRecognizer` when it receives new frame for processing.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onFrameAvailable(Image cameraFrame, boolean isFocused, double frameQuality)`
  Called when `FrameGrabberRecognizer` received new frame for processing.

  ### Methods inherited from interface android.os.Parcelable

  `describeContents, writeToParcel`

- ## Method Details

  - ### onFrameAvailable

    void onFrameAvailable(@Nullable Image cameraFrame, boolean isFocused, double frameQuality)
    Called when `FrameGrabberRecognizer` received new frame for processing. Note that all buffers associated with image are available only during life of this method. As soon as this method exits, there is no guarantee that buffers will be valid. If you need to store image for later processing, showing or saving, make sure you create a copy of it with `Image.clone()`.
    Parameters:
      `cameraFrame` - The `Image` containing frame that will be processed.
      `isFocused` - Information whether or not given frame is considered to be in focus. This information is calculated on the basis of frame quality estimation algorithm combined with information about actual frame that was provided by camera device.
      `frameQuality` - A number indicating calculated quality of given frame. This number is non-negative, however it's maximum is not defined - the higher the number is, the better the observed quality of frame is.